package de.hottis.MeasurementCollector;

import java.time.LocalDateTime;
import java.util.List;
import java.util.concurrent.ConcurrentLinkedQueue;

public abstract class AMessageParser {
	private String topic;
	private ConcurrentLinkedQueue<List<ADataObject>> queue;
	
	public AMessageParser(String topic, ConcurrentLinkedQueue<List<ADataObject>> queue) {
		this.topic = topic;
		this.queue = queue;
	}
	
	public String getTopic() {
		return this.topic;
	}
	
	abstract public void execute(LocalDateTime timestamp, String msgPayload);
}
